import { BMap } from "../bmap";
import { EventDispatcher } from '../utils';
export declare class Plugin<T extends {} = {}> extends EventDispatcher<T> {
    bmap: BMap;
    constructor(bmap: BMap);
    dispose(): void;
}
